<?php

namespace EnumType;

/**
 * This class stands for TpegLoc01LinearLocationSubtypeEnum EnumType
 * @subpackage Enumerations
 */
class TpegLoc01LinearLocationSubtypeEnum
{
    /**
     * Constant for value 'segment'
     * @return string 'segment'
     */
    const VALUE_SEGMENT = 'segment';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_SEGMENT
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_SEGMENT,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
